package com.bpcl.lpg.core.jalo;

import java.util.Collections;
import java.util.HashMap;
import de.hybris.platform.catalog.jalo.CatalogUnawareMedia;
import de.hybris.platform.jalo.SessionContext;
import de.hybris.platform.jalo.Item;
import java.util.Map;
import de.hybris.platform.directpersistence.annotation.SLDSafe;
import de.hybris.platform.cronjob.jalo.CronJob;

@SLDSafe
public class LPGConnectionExportCronjob extends CronJob
{
    public static final String LPGDOMESTICCONNECTIONMEDIA = "lpgDomesticConnectionMedia";
    public static final String LPGCOMMERCIALCONNECTIONMEDIA = "lpgCommercialConnectionMedia";
    public static final String MEDIAFILENAME = "mediaFileName";
    protected static final Map<String, Item.AttributeMode> DEFAULT_INITIAL_ATTRIBUTES;
    
    protected Map<String, Item.AttributeMode> getDefaultAttributeModes() {
        return LPGConnectionExportCronjob.DEFAULT_INITIAL_ATTRIBUTES;
    }
    
    public CatalogUnawareMedia getLpgCommercialConnectionMedia(final SessionContext ctx) {
        return (CatalogUnawareMedia)this.getProperty(ctx, "lpgCommercialConnectionMedia".intern());
    }
    
    public CatalogUnawareMedia getLpgCommercialConnectionMedia() {
        return this.getLpgCommercialConnectionMedia(this.getSession().getSessionContext());
    }
    
    public void setLpgCommercialConnectionMedia(final SessionContext ctx, final CatalogUnawareMedia value) {
        this.setProperty(ctx, "lpgCommercialConnectionMedia".intern(), (Object)value);
    }
    
    public void setLpgCommercialConnectionMedia(final CatalogUnawareMedia value) {
        this.setLpgCommercialConnectionMedia(this.getSession().getSessionContext(), value);
    }
    
    public CatalogUnawareMedia getLpgDomesticConnectionMedia(final SessionContext ctx) {
        return (CatalogUnawareMedia)this.getProperty(ctx, "lpgDomesticConnectionMedia".intern());
    }
    
    public CatalogUnawareMedia getLpgDomesticConnectionMedia() {
        return this.getLpgDomesticConnectionMedia(this.getSession().getSessionContext());
    }
    
    public void setLpgDomesticConnectionMedia(final SessionContext ctx, final CatalogUnawareMedia value) {
        this.setProperty(ctx, "lpgDomesticConnectionMedia".intern(), (Object)value);
    }
    
    public void setLpgDomesticConnectionMedia(final CatalogUnawareMedia value) {
        this.setLpgDomesticConnectionMedia(this.getSession().getSessionContext(), value);
    }
    
    public String getMediaFileName(final SessionContext ctx) {
        return (String)this.getProperty(ctx, "mediaFileName".intern());
    }
    
    public String getMediaFileName() {
        return this.getMediaFileName(this.getSession().getSessionContext());
    }
    
    public void setMediaFileName(final SessionContext ctx, final String value) {
        this.setProperty(ctx, "mediaFileName".intern(), (Object)value);
    }
    
    public void setMediaFileName(final String value) {
        this.setMediaFileName(this.getSession().getSessionContext(), value);
    }
    
    static {
        final Map<String, Item.AttributeMode> tmp = new HashMap<String, Item.AttributeMode>(CronJob.DEFAULT_INITIAL_ATTRIBUTES);
        tmp.put("lpgDomesticConnectionMedia", Item.AttributeMode.INITIAL);
        tmp.put("lpgCommercialConnectionMedia", Item.AttributeMode.INITIAL);
        tmp.put("mediaFileName", Item.AttributeMode.INITIAL);
        DEFAULT_INITIAL_ATTRIBUTES = Collections.unmodifiableMap((Map<? extends String, ? extends Item.AttributeMode>)tmp);
    }
}
